# Copyright (c) 2010-2018 Andrew Dalke Scientific, AB (Sweden)
# All Rights Reserved.

## LICENSE ##

# This file contains proprietary and unpublished source code.
#
# You may use and modify this software ONLY under the terms of the
# License agreement you or your organization made with Andrew Dalke
# Scientific AB.
#
# If no other agreeement exists then you may use chemfp under the
# terms of the Chemfp Base License Agreement v1.0 or later.
# See https://chemfp.com/licenses/ for details.
#
# Unless required by applicable law or agreed to in writing, this
# software is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied.  See the License
# agreement for the specific language governing permissions and
# limitations under the License.

## /LICENSE ##

filename_types = (str, bytes)
    
def myrepr(s):
    t = repr(s)
    if t.startswith("b"):
        return t[1:]
    return t

# Python 3.7 doesn't implement Literal
# Put all of these here so I can have a single import lines.
from typing import Any, Optional, Union, BinaryIO
try:
    from typing import Literal
except ImportError:
    class Literal:
        def __getitem__(self, *args):
            return Any
    Literal = Literal()
